Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3618 - ide-tape driver needs patch to be SMP-stable
Summary: ide-tape driver needs patch to be SMP-stable
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-21 16:28 UTC by Tony Kocurko
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 16:48:33 UTC


Attachments (Terms of Use)

Description Tony Kocurko 1999-06-21 16:28:36 UTC
Without fail, writing any kind of level 0 dump to /dev/nht0
hangs the system after a while under RedHat 6.0. This
includes tar and dump directly to /dev/nht0 or piped through
to dd.

I suspect ide-tape.c.

We're running RedHat Linux with the 2.2.5-22smp SMP kernel
writing to a Seagate STT28000A-RF ATAPI Travan-4 tape drive.

Backups worked under RedHat 5.2, since I made them in
preparation for full, fresh installs of RedHat 6.0.

I have seen many, many reports of this problem with IDE tape
drives. Gadi Oxman, the author of ide-tape.c, suggested in
reply to one such problem a patch to take ide-tape.c from
version 1.14 to 1.15, but the patch fails on several hunks.

Comment 1 Tony Kocurko 1999-06-24 12:54:59 UTC
Gadi Oxman, the maintainer of /usr/src/linux/drivers/block/ide-tape.c,
sent a patch to upgrade it from version 1.14 to 1.15. That patch
installed flawlessly on RedHat's kernel version 2.2.5-22. I was then
able to do a tar backup of all our file systems, which include a pair
of 1.37 gigabyte seismic data files.

According to Gadi, his patch resolves some problem between ide-tape.c
and the SMP, which we are using in our kernel.

Comment 2 Bill Nottingham 1999-06-24 17:03:59 UTC
Can you post the patch?

Comment 3 Michael K. Johnson 1999-07-13 17:22:59 UTC
We should ask Gadi for the patch if the next kernel we release
does not have the new ide-tape driver in it, or get it ourselves
if it is otherwise available.  Newer 2.2.x kernels might include
the newer driver; I have not checked yet.

We should certainly use a new ide-tape driver anyway because of
the bug that slab poisoning found; I don't know if this is that
same bug or another bug.

Comment 4 Bill Nottingham 1999-08-31 16:48:59 UTC
fixed in the latest kernels in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.